import { Component } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { MedicalFormComponent } from '../components/medical-form/medical-form.component';

@Component({
  selector: 'app-medical-list',
  templateUrl: './medical-list.component.html',
  styleUrls: ['./medical-list.component.scss'],
})
export class MedicalListComponent {
  constructor(public dialog: MatDialog) {}
  openCreate(): void {
    const dialogRef = this.dialog.open(MedicalFormComponent, {
      data: {},
      width: '60%',
    });

    dialogRef.afterClosed().subscribe((result) => {
      console.log('The dialog was closed');
    });
  }
}
